Skip to content

Checkmate REST API (1.0.0)

Checkmate API for launching background checks from your side using Checkmate.

Contact

Download OpenAPI description
Languages
Servers
Mock server
https://docs.checkmate.tech/_mock/api
Staging
https://staging-api.checkmate.tech/partners/v1
Production
https://api.checkmate.tech/partners/v1

OAuth token authorization

Basic Authorization

If you are not planning to build a multi-tenant integration then, we encorauge you to skip OAuth authentication and use your Checkmate account token instead. You can grab it from your Partner's page under "Account API"

Remember to store it safely!

Basic Authorization

placeholder

Operations
Operations
Operations

Pre-configured check bundles

Operations

Request

Retrieves company bundles.

Security
bearerAuth
curl -i -X GET \
  https://docs.checkmate.tech/_mock/api/bundles \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of bundles

Bodyapplication/json
resultArray of objects(ChecksBundle)
statusinteger
Example: 200
errorobject or null
Response
application/json
{ "result": [ { … } ], "status": 200, "error": {} }

Request

Creates a Checks Bundle with checks data.

Security
bearerAuth
Bodyapplication/jsonrequired
namestringrequired
Example: "Sales"
checks_dataArray of objects(CheckData)required
checks_data[].​typestring

Check code

Example: "reference"
checks_data[].​detailsobject

Details from Get Check Type Details

checks_data[].​renewalboolean
Example: true
curl -i -X POST \
  https://docs.checkmate.tech/_mock/api/bundles \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "Sales",
    "checks_data": [
      {
        "type": "reference",
        "details": {},
        "renewal": true
      }
    ]
  }'

Responses

Created bundle

Bodyapplication/json
resultobject(ChecksBundle)
statusinteger
Example: 200
errorobject or null
Response
application/json
{ "result": { "id": 156, "name": "Sales", "checks_data": [ … ] }, "status": 200, "error": {} }
Operations
Operations
Operations
Operations
Operations
Operations

Company-enabled checks

Operations

Forms (reference, questionnaire, etc.)

Operations
Operations
Webhooks are unique per partner and company!

Only one webhook can exists for a partner and company. You will only get updates notifications on candidates created under this context.

E.g. If you subscribe to a webhook using your Account API token you won't be get notified about updates on candidates created directly on the web application or other partners.

:global parameter

:global parameter is the only exception to the above. If global=true you will get notifications on all candidates created through the API. You still won't get notifications on candidates created from the web application as they don't belog to the API.

Operations